/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Set up variable
	api = wp.customize;

	// Site title and description.
	api( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );

	// Site title color
	api( 'onetype_site_title_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#231f20';
			$( '.site-branding h1 a' ).css( 'color', to );
		} );
	} );

	// Page header background color
	api( 'onetype_header_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#ffffff';
			$( 'body:not(.page-template-transparent-header) .site-header' ).css( 'background-color', to );
		} );
	} );

	// Navigation color
	api( 'onetype_navigation_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#231f20';
			$( '.menu-primary-items a, .menu-primary-items a:visited' ).css( 'color', to );
		} );
	} );

	// Page header background color
	api( 'onetype_page_header_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#f9f9f9';
			$( '.page-header' ).css( 'background-color', to );
		} );
	} );

	// Post title color
	api( 'onetype_post_title_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#ffffff';
			$( '.page-header .page-title, .has-post-thumbnail .page-header .page-title' ).css( 'color', to );
		} );
	} );

	// Footer background color
	api( 'onetype_footer_bg', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#e7e7e7';
			$( '.site-footer' ).css( 'background-color', to );
		} );
	} );

} )( jQuery );
