( function( $ ) {

	/**
	 * Responsive video
	 */
	function responsiveVideo() {
		$( '.entry, .widget' ).fitVids();
	}

	/**
	 * Detect if drop down menu go off screen
	 */
	function dropdownOffScreen() {
		$( '.main-navigation li' ).on( 'mouseenter mouseleave', function() {
			if ( $( 'ul', this ).length ) {
				var elm = $( 'ul:first', this ),
					off = elm.offset(),
					l = off.left,
					w = elm.width(),
					docH = $( '.site-header' ).height(),
					docW = $( '.site-header' ).width();

				var isEntirelyVisible = ( l + w <= docW );

				if ( !isEntirelyVisible ) {
					$( this ).addClass( 'edge' );
				} else {
					$( this ).removeClass( 'edge' );
				}
			}
		} );
	}

	/**
	 * Search pop up
	 */
	function searchPopup() {
		$( '.search-toggle' ).magnificPopup( {
			type: 'inline',
			mainClass: 'popup-fade',
			closeOnBgClick: false,
			closeBtnInside: false,
			callbacks: {
				open: function() {
					setTimeout( function() {
						$( '.search-popup input' ).focus();
					}, 1000 );
				}
			}
		} );
	}

	/**
	 * Search pop up
	 */
	function menuPopup() {
		$( '.menu-toggle' ).magnificPopup( {
			type: 'inline',
			mainClass: 'popup-fade',
			closeOnBgClick: false,
			closeBtnInside: false
		} );
	}

	/**
	 * Custom select
	 */
	function customSelect() {
		$( 'select' ).selectric();
	}

	// Document ready
	$( function() {
		responsiveVideo();
		dropdownOffScreen();
		searchPopup();
		menuPopup();
		customSelect();
	} );

}( jQuery ) );
