<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="site">

	<div class="wide-container">

		<header id="masthead" class="site-header">
			<div class="container">

				<?php onetype_site_branding(); ?>

				<?php if ( has_nav_menu ( 'primary' ) ) : ?>
					<nav class="main-navigation" id="site-navigation">

						<a href="#menu-overlay" class="menu-toggle">
							<span class="bars"></span>
							<span class="bars"></span>
							<span class="bars"></span>
						</a>

						<?php wp_nav_menu(
							array(
								'theme_location'  => 'primary',
								'menu_id'         => 'menu-primary-items',
								'menu_class'      => 'menu-primary-items'
							)
						); ?>

						<a href="#search-overlay" class="search-toggle">
							<img src="<?php echo get_template_directory_uri() . '/assets/img/onetype-search.svg'; ?>" alt="<?php esc_attr_e( 'Search', 'onetype' ); ?>">
						</a>
					</nav>
				<?php endif; ?>

			</div>
		</header><!-- #masthead -->

		<?php onetype_after_header_content(); ?>

		<div id="content" class="site-content">
