<?php
/**
 * Colors Customizer
 */

/**
 * Register the customizer.
 */
function onetype_colors_customize_register( $wp_customize ) {

	// Register accent color setting
	$wp_customize->add_setting( 'onetype_accent_color', array(
		'default'           => '#d87f3b',
		'sanitize_callback' => 'sanitize_hex_color'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_accent_color', array(
		'label'             => esc_html__( 'Accent Color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 1
	) ) );

	// Register site title color setting
	$wp_customize->add_setting( 'onetype_site_title_color', array(
		'default'           => '#231f20',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_site_title_color', array(
		'label'             => esc_html__( 'Site title color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 3
	) ) );

	// Register header background color setting
	$wp_customize->add_setting( 'onetype_header_bg_color', array(
		'default'           => '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_header_bg_color', array(
		'label'             => esc_html__( 'Header background color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 5
	) ) );

	// Register navigation color setting
	$wp_customize->add_setting( 'onetype_navigation_color', array(
		'default'           => '#231f20',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_navigation_color', array(
		'label'             => esc_html__( 'Navigation color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 7
	) ) );

	// Register page header background color setting
	$wp_customize->add_setting( 'onetype_page_header_bg_color', array(
		'default'           => '#f9f9f9',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_page_header_bg_color', array(
		'label'             => esc_html__( 'Page header background color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 9
	) ) );

	// Register post title color setting
	$wp_customize->add_setting( 'onetype_post_title_color', array(
		'default'           => '#ffffff',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_post_title_color', array(
		'label'             => esc_html__( 'Post title color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 11
	) ) );

	// Register footer background color setting
	$wp_customize->add_setting( 'onetype_footer_bg', array(
		'default'           => '#e7e7e7',
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'         => 'postMessage'
	) );
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'onetype_footer_bg', array(
		'label'             => esc_html__( 'Footer background color', 'onetype' ),
		'section'           => 'colors',
		'priority'          => 13
	) ) );

}
add_action( 'customize_register', 'onetype_colors_customize_register' );
