<?php
/**
 * Fonts Customizer
 */

/**
 * Register the customizer.
 */
function onetype_fonts_customize_register( $wp_customize ) {

	// Register new section: Fonts
	$wp_customize->add_section( 'onetype_fonts' , array(
		'title'       => esc_html__( 'Fonts', 'onetype' ),
		'description' => esc_html__( 'These options is used for customizing the fonts. The Google Fonts can be found here: https://fonts.google.com/.', 'onetype' ),
		'panel'       => 'onetype_design',
		'priority'    => 3
	) );

	// Register heading custom text.
	$wp_customize->add_setting( 'onetype_heading_font_title', array(
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new OneType_Custom_Text( $wp_customize, 'onetype_heading_font_title', array(
		'label'             => esc_html__( 'Heading', 'onetype' ),
		'section'           => 'onetype_fonts',
		'priority'          => 2
	) ) );

	// Register heading font setting.
	$wp_customize->add_setting( 'onetype_heading_font', array(
		'default'           => 'Montserrat:400,400i,500,700,700i',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'onetype_heading_font', array(
		'description'       => esc_html__( 'Font name/style/sets', 'onetype' ),
		'section'           => 'onetype_fonts',
		'priority'          => 3,
		'type'              => 'text'
	) );

	// Register heading font family setting.
	$wp_customize->add_setting( 'onetype_heading_font_family', array(
		'default'           => '\'Montserrat\', sans-serif',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'onetype_heading_font_family', array(
		'description'       => esc_html__( 'Font family', 'onetype' ),
		'section'           => 'onetype_fonts',
		'priority'          => 4,
		'type'              => 'text'
	) );

	// Register body custom text.
	$wp_customize->add_setting( 'onetype_body_font_title', array(
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new OneType_Custom_Text( $wp_customize, 'onetype_body_font_title', array(
		'label'             => esc_html__( 'Body', 'onetype' ),
		'section'           => 'onetype_fonts',
		'priority'          => 5
	) ) );

	// Register body font setting.
	$wp_customize->add_setting( 'onetype_body_font', array(
		'default'           => 'Lato:400,400i,700,700i',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'onetype_body_font', array(
		'description'       => esc_html__( 'Font name/style/sets', 'onetype' ),
		'section'           => 'onetype_fonts',
		'priority'          => 6,
		'type'              => 'text'
	) );

	// Register body font family setting.
	$wp_customize->add_setting( 'onetype_body_font_family', array(
		'default'           => '\'Lato\', sans-serif',
		'sanitize_callback' => 'wp_kses_post',
	) );
	$wp_customize->add_control( 'onetype_body_font_family', array(
		'description'       => esc_html__( 'Font family', 'onetype' ),
		'section'           => 'onetype_fonts',
		'priority'          => 7,
		'type'              => 'text'
	) );

}
add_action( 'customize_register', 'onetype_fonts_customize_register' );
