<?php
/**
 * Footer Customizer
 */

/**
 * Register the customizer.
 */
function onetype_footer_customize_register( $wp_customize ) {

	// Register new section: Footer
	$wp_customize->add_section( 'onetype_footer' , array(
		'title'    => esc_html__( 'Footer', 'onetype' ),
		'panel'    => 'onetype_options',
		'priority' => 13
	) );

	// Register Footer Credits setting
	$wp_customize->add_setting( 'onetype_footer_credits', array(
		'sanitize_callback' => 'onetype_sanitize_textarea',
		'default'           => '&copy; Copyright ' . date( 'Y' ) . ' <a href="' . esc_url( home_url() ) . '">' . esc_attr( get_bloginfo( 'name' ) ) . '</a> &middot; Designed and Developed by <a href="http://www.theme-junkie.com/">Theme Junkie</a>',
		'transport'         => 'postMessage',
	) );
	$wp_customize->add_control( 'onetype_footer_credits', array(
		'label'             => esc_html__( 'Footer Text', 'onetype' ),
		'section'           => 'onetype_footer',
		'priority'          => 3,
		'type'              => 'textarea'
	) );
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'onetype_footer_credits', array(
			'selector'         => '.copyright',
			'settings'         => array( 'onetype_footer_credits' ),
			'render_callback'  => function() {
				return onetype_sanitize_textarea( get_theme_mod( 'onetype_footer_credits' ) );
			}
		) );
	}

}
add_action( 'customize_register', 'onetype_footer_customize_register' );
