<?php
/**
 * General Customizer
 */

/**
 * Register the customizer.
 */
function onetype_general_customize_register( $wp_customize ) {

	// Register new section: General
	$wp_customize->add_section( 'onetype_general' , array(
		'title'    => esc_html__( 'General', 'onetype' ),
		'panel'    => 'onetype_options',
		'priority' => 1
	) );

	// Register container setting
	$wp_customize->add_setting( 'onetype_container_style', array(
		'default'           => 'fullwidth',
		'sanitize_callback' => 'onetype_sanitize_container_style',
	) );
	$wp_customize->add_control( 'onetype_container_style', array(
		'label'             => esc_html__( 'Container', 'onetype' ),
		'section'           => 'onetype_general',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'fullwidth' => esc_html__( 'Full Width', 'onetype' ),
			'boxed'     => esc_html__( 'Boxed', 'onetype' ),
			'framed'    => esc_html__( 'Framed', 'onetype' )
		)
	) );

	// Register pagination setting
	$wp_customize->add_setting( 'onetype_posts_pagination', array(
		'default'           => 'number',
		'sanitize_callback' => 'onetype_sanitize_posts_pagination',
	) );
	$wp_customize->add_control( 'onetype_posts_pagination', array(
		'label'             => esc_html__( 'Pagination type', 'onetype' ),
		'section'           => 'onetype_general',
		'priority'          => 3,
		'type'              => 'radio',
		'choices'           => array(
			'number'      => esc_html__( 'Number', 'onetype' ),
			'traditional' => esc_html__( 'Older / Newer', 'onetype' )
		)
	) );

	// Register sticky sidebar setting
	$wp_customize->add_setting( 'onetype_sticky_sidebar', array(
		'default'           => 1,
		'sanitize_callback' => 'onetype_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'onetype_sticky_sidebar', array(
		'label'             => esc_html__( 'Enable sticky sidebar', 'onetype' ),
		'section'           => 'onetype_general',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register signature upload setting
	$wp_customize->add_setting( 'onetype_signature_image', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'onetype_signature_image', array(
		'label'             => esc_html__( 'Signature', 'onetype' ),
		'description'       => esc_html__( 'The signature will appear at the bottom of each post.', 'onetype' ),
		'section'           => 'onetype_general',
		'priority'          => 7,
		'mime_type'         => 'image',
	) ) );

}
add_action( 'customize_register', 'onetype_general_customize_register' );
