<?php
/**
 * Page Customizer
 */

/**
 * Register the customizer.
 */
function onetype_page_customize_register( $wp_customize ) {

	// Register new section: Page
	$wp_customize->add_section( 'onetype_page' , array(
		'title'    => esc_html__( 'Page', 'onetype' ),
		'panel'    => 'onetype_options',
		'priority' => 7
	) );

	// Register Page info setting
	$wp_customize->add_setting( 'onetype_page_info', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new OneType_Custom_Text( $wp_customize, 'onetype_page_info', array(
		'label'             => '',
		'description'       => esc_html__( 'This page is not a page. Please navigate to a page while using the Customizer to view the options.', 'onetype' ),
		'section'           => 'onetype_page',
		'priority'          => 1,
		'active_callback' => function() {
			return !is_page() || is_front_page();
		}
	) ) );

	// Register Page comment manager setting
	$wp_customize->add_setting( 'onetype_page_comment', array(
		'default'           => 1,
		'sanitize_callback' => 'onetype_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'onetype_page_comment', array(
		'label'             => esc_html__( 'Enable comment on Pages', 'onetype' ),
		'section'           => 'onetype_page',
		'priority'          => 1,
		'type'              => 'checkbox',
		'active_callback' => function() {
			return is_page() && !is_front_page();
		}
	) );

	// Register Page onetype image setting
	$wp_customize->add_setting( 'onetype_page_onetype_image', array(
		'default'           => 0,
		'sanitize_callback' => 'onetype_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'onetype_page_onetype_image', array(
		'label'             => esc_html__( 'Show page onetype image', 'onetype' ),
		'section'           => 'onetype_page',
		'priority'          => 5,
		'type'              => 'checkbox',
		'active_callback' => function() {
			return is_page() && !is_front_page();
		}
	) );

}
add_action( 'customize_register', 'onetype_page_customize_register' );
