<?php
/**
 * Shop Customizer
 */

/**
 * Register the customizer.
 */
function onetype_shop_customize_register( $wp_customize ) {

	// Register new section: Shop
	$wp_customize->add_section( 'onetype_shop' , array(
		'title'    => esc_html__( 'Shop', 'onetype' ),
		'panel'    => 'onetype_options',
		'priority' => 9
	) );

	// Register shop featured image setting
	$wp_customize->add_setting( 'onetype_shop_featured_img', array(
		'default'           => '',
		'sanitize_callback' => 'absint'
	) );
	$wp_customize->add_control( new WP_Customize_Cropped_Image_Control( $wp_customize, 'onetype_shop_featured_img', array(
		'label'             => esc_html__( 'Image', 'onetype' ),
		'section'           => 'onetype_shop',
		'priority'          => 1,
		'flex_width'        => true,
		'flex_height'       => false,
		'width'             => 1500,
		'height'            => 750
	) ) );

	// Register shop layouts setting
	$wp_customize->add_setting( 'onetype_shop_layouts', array(
		'default'           => '2c-r',
		'sanitize_callback' => 'onetype_sanitize_blog_layouts',
	) );
	$wp_customize->add_control( 'onetype_shop_layouts', array(
		'label'             => esc_html__( 'Layout', 'onetype' ),
		'section'           => 'onetype_shop',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'2c-l' => esc_html__( 'Right sidebar', 'onetype' ),
			'2c-r' => esc_html__( 'Left sidebar', 'onetype' ),
			'1c'   => esc_html__( 'Full Width', 'onetype' )
		),
	) );

}
add_action( 'customize_register', 'onetype_shop_customize_register' );
