<?php
/**
 * Elementor compatibility and custom functions
 *
 * @package    OneType
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2017, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

namespace Elementor;

/**
 * Elementor setup function.
 *
 * @return void
 */
function onetype_update_elementor_global_option () {
	update_option( 'elementor_disable_color_schemes', 'yes' );
	update_option( 'elementor_disable_typography_schemes', 'yes' );
	update_option( 'elementor_container_width', '1200' );
	update_option( 'elementor_space_between_widgets', '40' );
}
add_action( 'after_switch_theme', 'Elementor\onetype_update_elementor_global_option' );

/**
 * Add widgets
 */
function onetype_elementor_custom_widgets() {

	// We check if the WooCommerce plugin has been installed / activated.
	if ( onetype_is_woocommerce_activated() ) {
		require_once get_template_directory() . '/inc/elementor/widgets/single-product.php';
	}

}
add_action( 'elementor/widgets/widgets_registered', 'Elementor\onetype_elementor_custom_widgets' );
