<?php
/**
 * Page header
 *
 * @package    OneType
 * @author     Theme Junkie
 * @copyright  Copyright (c) 2017, Theme Junkie
 * @license    http://www.gnu.org/licenses/gpl-2.0.html
 * @since      1.0.0
 */

/**
 * Set featured image as page header background.
 */
function onetype_page_header_bg() {

	// Set up empty variable.
	$img = '';

	// post and page
	if ( is_singular( 'post' ) || is_page() ) {
		$img = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'onetype-page-header' );
	}

	// blog
	if ( is_home() ) {
		$img_id = get_theme_mod( 'onetype_blog_featured_img' );
		$img    = wp_get_attachment_image_src( $img_id, 'onetype-page-header' );
	}

	// Display the custom header via inline CSS.
	if ( $img ) :
		$css = '
			.page-header {
				background-image: url("' . esc_url( $img[0] ) . '");
				background-size: cover;
				background-repeat: no-repeat;
				background-position: 50% 50%;
			}';
	endif;

	if ( ! empty( $css ) ) :
		wp_add_inline_style( 'onetype-style', $css );
	endif;

}
add_action( 'wp_enqueue_scripts', 'onetype_page_header_bg' );
