<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="post-content">

		<div class="entry-content">

			<?php the_content(); ?>
			<?php
				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'onetype' ),
					'after'  => '</div>',
				) );
			?>

		</div>
	</div>

	<?php
		$meta   = get_theme_mod( 'onetype_post_meta', 'enable' );
		$author = get_theme_mod( 'onetype_author_avatar', 1 );
		$date   = get_theme_mod( 'onetype_post_date', 1 );
		$cat    = get_theme_mod( 'onetype_post_cat', 1 );
		$tag    = get_theme_mod( 'onetype_post_tag', 1 );
	?>

	<?php if ( $meta == 'enable' ) : ?>

		<div class="post-meta">

			<?php if ( $author == 1 ) : ?>
				<div class="post-author">
					<?php echo get_avatar( get_the_author_meta( 'ID' ), 117 ); ?>
					<span class="author vcard"><a class="url fn n" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html( get_the_author() ); ?></a></span>
				</div>
			<?php endif; ?>

			<?php if ( $date == 1 ) : ?>
				<div class="post-date">
					<span class="postedon"><?php esc_html_e( 'Posted on:', 'onetype' ); ?></span>
					<time class="entry-date published" datetime="<?php echo esc_html( get_the_date( 'c' ) ); ?>"><?php echo esc_html( get_the_date( 'M d, Y' ) ); ?></time>
				</div>
			<?php endif; ?>

			<?php if ( $cat == 1 ) : ?>
				<div class="post-cat">
					<?php if ( 'post' == get_post_type() ) : ?>
						<?php
							$category = get_the_category( get_the_ID() );
							if ( $category ) :
						?>
						<span class="postedin"><?php esc_html_e( 'Posted in:', 'onetype' ); ?></span>
						<span class="cat-link">
							<a href="<?php echo esc_url( get_category_link( $category[0]->term_id ) ); ?>"><?php echo esc_attr( $category[0]->name ); ?></a>
						</span>
						<?php endif; // End if categories ?>
					<?php endif; ?>
				</div>
			<?php endif; ?>

			<?php if ( $tag == 1 ) : ?>
				<div class="post-tag">
					<?php
						/* translators: used between list items, there is a space after the comma */
						$tags_list = get_the_tag_list( '', esc_html_x( ', ', 'list item separator', 'onetype' ) );
						if ( $tags_list ) :

					?>
						<span class="tagged"><?php esc_html_e( 'Tagged:', 'onetype' ); ?></span>
						<span class="tag-links"><?php echo $tags_list ?></span>
					<?php endif; ?>
				</div>
			<?php endif; ?>

		</div>

	<?php endif; ?>

</article><!-- #post-## -->
